A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces | Functions
dim4.hpp File Reference
`#include <ostream>`
`#include <istream>`
`#include <vector>`
`#include <af/defines.h>`
`#include <af/seq.h>`

Go to the source code of this file.

## Data Structures
class | dim4
| Generic object that represents size and shape. More...

## Namespaces
namespace | af

## Functions
AFAPI dim4 | operator+ (const dim4 &first, const dim4 &second)
| Performs an element-wise addition of two dim4 objects.
AFAPI dim4 | operator- (const dim4 &first, const dim4 &second)
| Performs an element-wise subtraction of two dim4 objects.
AFAPI dim4 | operator* (const dim4 &first, const dim4 &second)
| Performs an element-wise multiplication of two dim4 objects.
static std::ostream & | operator<< (std::ostream &ostr, const dim4 &dims)
| Prints the elements of the dim4 array separated by spaces.
static std::istream & | operator>> (std::istream &istr, dim4 &dims)
| Reads 4 dim_t values from an input stream and stores the results in a dim4.
AFAPI bool | isSpan (const af_seq &seq)
| Returns true if the af_seq object represents the entire range of an axis.
AFAPI size_t | seqElements (const af_seq &seq)
| Returns the number of elements that the af_seq object represents.
AFAPI dim_t | calcDim (const af_seq &seq, const dim_t &parentDim)
| Returns the number of elements that will be represented by seq if applied on an array.